Learn more on how to stay protected from the latest Ransomware Pandemic
Check Point Advisories

Cisco IOS XE WebUI Privileged Command Injection (CVE-2019-12650)

Check Point Reference: CPAI-2019-1865
Date Published: 25 Feb 2020
Severity: Medium
Last Updated: 25 Feb 2020
Source:
Industry Reference:CVE-2019-12650
Protection Provided by:

Security Gateway
R80, R77, R75

Who is Vulnerable? Cisco Systems IOS XE 16.10.1
Cisco Systems IOS XE 16.11.1
Cisco Systems IOS XE 16.9.x, 16.8.x, and 16.7.x prior to 16.9.4
Cisco Systems IOS XE 16.x prior to 16.6.7
Vulnerability Description A command injection exists in the WebUI component of Cisco IOS XE. The vulnerability is due to insufficient input validation on form content submitted by a user via the WebUI.A remote, authenticated attacker with administrative access can exploit this vulnerability by sending a crafted HTTP request to the target server. Successful exploitation of this vulnerability could allow the attacker to execute arbitrary code on the effected system.

Protection Overview

This protection detects attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R75

  1. In the IPS tab, click Protections and find the Cisco IOS XE WebUI Privileged Command Injection (CVE-2019-12650) protection using the Search tool and Edit the protection's settings.
  2. Install policy on all Security Gateways.

This protection's log will contain the following information:

Attack Name:  Cisco Protection Violation.
Attack Information:  Cisco IOS XE WebUI Privileged Command Injection (CVE-2019-12650)

×
  Feedback
This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO